PSW_RGB_ARC(3)

EXPERIMENTAL_FUNC
psw_rgb_arc - Write a colour arc to a PostScriptPage object.

SYNOPSIS
#include <karma_psw.h>

flag psw_rgb_arc

(PostScriptPage pspage, double red, double green, double blue, double cx, double cy, double rx, double ry, double angle1, double angle2, double rotation, flag fill)

DESCRIPTION
Write a colour arc to a PostScriptPage object.

pspage
    The PostScriptPage object.

red The red component value. The range is: 0.0 (dark) to 1.0 (light)

green
    The green component value. The range is: 0.0 (dark) to 1.0 (light)

blue
    The blue component value. The range is: 0.0 (dark) to 1.0 (light)

cx  The x centre. This is scaled from 0.0 to 1.0

cy  The y centre. This is scaled from 0.0 to 1.0

rx  The x radius. This is scaled from 0.0 to 1.0

ry  The y radius. This is scaled from 0.0 to 1.0

angle1
    The start of the arc, in units of degrees, relative to +X. Increasing positive values are anticlockwise.

angle2
    The end of the arc, in units of degrees, relative to +X. Increasing positive values are anticlockwise.

rotation
    The rotation of the arc, in degrees. A rotation of 0 degrees corresponds to (x > 0, y = 0). A rotation of 90 degrees corresponds to (x = 0, y > 0). In other words, the angle increases anticlockwise from the right.

fill
    If TRUE, the ellipse is filled.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/